> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nadles.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List customer subscriptions



## OpenAPI

````yaml /openapi/provider.api.yaml get /customers/{customerId}/subscriptions/
openapi: 3.0.3
info:
  title: Nadles Provider API
  version: '0.1'
  description: Nadles Provider API allows managing products, customers and subscriptions
  x-logo:
    url: ''
servers:
  - url: https://provider.api.nadles.com/v0
    description: ''
security:
  - defaultApiKey: []
tags: []
paths:
  /customers/{customerId}/subscriptions/:
    get:
      summary: List customer subscriptions
      operationId: listCustomerSubscriptions
      parameters:
        - name: customerId
          in: path
          required: true
          description: The ID of the customer.
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: Maximum number of items to return
          schema:
            type: integer
        - name: offset
          in: query
          required: false
          description: Number of items to skip before starting to collect the result set
          schema:
            type: integer
        - name: state
          in: query
          required: false
          description: Filter subscriptions by state
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCustomerSubscriptions200Response'
components:
  schemas:
    ListCustomerSubscriptions200Response:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Subscription'
        metadata:
          $ref: '#/components/schemas/ListCustomerSubscriptions200ResponseMetadata'
    Subscription:
      type: object
      properties:
        id:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        vendor_id:
          type: string
        product_id:
          type: string
        customer_id:
          type: string
        order_id:
          type: string
        state:
          type: string
        psp_name:
          type: string
        billing_version:
          type: integer
        is_cancelation_scheduled:
          type: boolean
        items:
          type: array
          items:
            type: object
        activated_at:
          type: string
          format: date-time
          nullable: true
        expired_at:
          type: string
          format: date-time
          nullable: true
        cancellation_scheduled_at:
          type: string
          format: date-time
          nullable: true
        canceled_at:
          type: string
          format: date-time
          nullable: true
        past_due_at:
          type: string
          format: date-time
          nullable: true
    ListCustomerSubscriptions200ResponseMetadata:
      type: object
      properties:
        pagination:
          $ref: >-
            #/components/schemas/ListCustomerSubscriptions200ResponseMetadataPagination
    ListCustomerSubscriptions200ResponseMetadataPagination:
      type: object
      properties:
        limit:
          type: integer
        offset:
          type: integer
        total:
          type: integer
  securitySchemes:
    defaultApiKey:
      description: API key provided in the admin portal
      type: apiKey
      name: nadles-provider-key
      in: header

````